Bug 2003342 - Crashes during initial molecule drawing; on restart atoms not visible
Summary: Crashes during initial molecule drawing; on restart atoms not visible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avogadro2
Version: 34
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-11 10:16 UTC by Mark Fuller
Modified: 2022-03-26 15:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-01 16:11:59 UTC
Type: Bug


Attachments (Terms of Use)
Debian Testing patch with all 3 fixes (3.12 KB, patch)
2022-02-28 12:12 UTC, Aritz Erkiaga
no flags Details | Diff

Description Mark Fuller 2021-09-11 10:16:41 UTC
Description of problem:
Crashes during initial molecule drawing; on restart atoms not visible

Version-Release number of selected component (if applicable):
avogadro2-1.95.1-1.fc34

How reproducible:
Same behavior on two separate machines with otherwise identical system setups (Fedora 34 KDE (X11), updates-testing enabled)

Steps to Reproduce:
1. Open avogadro2 and click, then click-drag to draw connected carbon atoms
2. Avogadro2 crashes around 4-5 atoms drawn
3. On restart, clicking does not show visible atom, but Undo and atom coordinates indicate atom has been drawn

Actual results:
Unable to visible draw benzene

Expected results:
Able to draw benzene

Additional info:
Avogadro(1) still works as expected

Comment 1 Antonio T. sagitter 2021-09-11 10:33:34 UTC
Please, run avogadro2 from terminal (in Wayland)

$ export QT_QPA_PLATFORM=xcb
$ export LD_LIBRARY_PATH=/usr/lib64/avogadro2
$ avogadro2

and report the crash output.

Comment 2 Mark Fuller 2021-09-12 06:28:05 UTC
To clarify, on first start after update, the crash occurred on both machines.
After that, on each start, the atoms don't display when attempting to draw the molecule (X11).
I will next check behavior under Wayland.

Comment 3 Mark Fuller 2021-09-12 06:33:04 UTC
And also on Wayland: the crash hasn't repeated, but the atoms do not display.
There is no terminal output.

Comment 4 Aritz Erkiaga 2022-02-28 12:09:06 UTC
This bug is FIXED upstream (commits: https://github.com/OpenChemistry/avogadrolibs/pull/819/commits). Today the fix has been picked up by Debian Testing.

Also, make sure to cherry-pick these two fixes too: https://github.com/OpenChemistry/avogadrolibs/pull/825/commits. They also fix important 1.95 regressions, and have already been merged into both Debian Testing and Ubuntu Jammy.

Comment 5 Aritz Erkiaga 2022-02-28 12:12:42 UTC
Created attachment 1863580 [details]
Debian Testing patch with all 3 fixes

This is the Debian Testing patch for avogadrolibs-1.95.1-8. It contains the fix for this bug (last change in the patch) and for another two regressions reported upstream.

Comment 6 Antonio T. sagitter 2022-03-01 15:08:10 UTC
Thank you for these feedbacks

Comment 7 Fedora Update System 2022-03-01 16:11:19 UTC
FEDORA-2022-16235f74ff has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-16235f74ff

Comment 8 Fedora Update System 2022-03-01 16:11:59 UTC
FEDORA-2022-16235f74ff has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-03-01 19:17:45 UTC
FEDORA-EPEL-2022-4b4859d480 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4b4859d480

Comment 10 Fedora Update System 2022-03-01 19:17:46 UTC
FEDORA-2022-1d08d2a8a0 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1d08d2a8a0

Comment 11 Fedora Update System 2022-03-01 19:17:47 UTC
FEDORA-2022-66317e1484 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-66317e1484

Comment 12 Fedora Update System 2022-03-01 19:17:48 UTC
FEDORA-2022-0469fa1926 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0469fa1926

Comment 13 Fedora Update System 2022-03-02 15:56:21 UTC
FEDORA-2022-1d08d2a8a0 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-1d08d2a8a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1d08d2a8a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-03-02 16:15:34 UTC
FEDORA-2022-0469fa1926 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-0469fa1926`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0469fa1926

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-03-02 16:17:09 UTC
FEDORA-EPEL-2022-4b4859d480 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4b4859d480

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-03-02 19:43:00 UTC
FEDORA-2022-66317e1484 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-66317e1484`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-66317e1484

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-03-09 19:15:35 UTC
FEDORA-2022-1d08d2a8a0 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-03-09 19:43:01 UTC
FEDORA-2022-0469fa1926 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-03-09 20:41:05 UTC
FEDORA-EPEL-2022-4b4859d480 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-03-26 15:06:15 UTC
FEDORA-2022-66317e1484 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.